<?php
	/* http://www-coding.de/ausgabe-und-formatierung-von-zahlen-mit-php/
	 * Kürzt die Nachkommastellen einer Zahl ($number) auf $decimals (z.B. 4 => 4 Nachkommastellen) OHNE zu runden.
	*/
	
	function cutNumber($number, $decimals=4) {
		$number = explode(".", $number, 2);
		$shortCount = strlen($number[1]) - $decimals;
		
		return 	floatval($number[0].".".substr($number[1], 0, (($shortCount <= 0) ? strlen($number[1]) : -$shortCount)));
	}
	
	/* Beispiel */
	echo cutNumber(6.344678, 4); // Ausgabe von 6.3446
	echo cutNumber(6.344678, 2); // Ausgabe von 6.34
	echo cutNumber(18.344678, 10); // Ausgabe von 18.344678

?>
